Mark Notification As Read
curl --request PATCH \
--url https://api.thefaithapp.com/v1/notifications/{notificationId}/read \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://api.thefaithapp.com/v1/notifications/{notificationId}/read"
headers = {
"X-API-Key": "<x-api-key>",
"Authorization": "Bearer <token>"
}
response = requests.patch(url, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<x-api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/notifications/{notificationId}/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"message": "<string>"
}Notifications And Profiles
Mark Notification As Read
Marks a member notification as read.
PATCH
/
v1
/
notifications
/
{notificationId}
/
read
Mark Notification As Read
Marks a member notification as read.
Request inputs
Your client API key from the dashboard (Settings page).
Unique identifier of the notification to update.
Response fields
Indicates whether the member notification was updated successfully.
Confirms that the targeted notification now counts as read.
Example response
{
"status": "Success",
"message": "Notification marked as read"
}
Was this page helpful?
⌘I